#ifndef FAKE_H
#define FAKE_H

#include "Sensors.h"

#ifdef DRIVER_NAME
	#undef DRIVER_NAME
#endif
#define DRIVER_NAME 			"fake_sensor"

#define FAKE_UPDATE_PERIOD	(1500000)	// every second and half, expressed in microseconds

// Definitions lists
// -----------------

// Supported Fake infos
typedef struct {
	char *	name;
	int		chip_id;
} FAKE;

// Supported sensors infos
typedef struct 
	{
	char *		name;
	SENSOR_KIND	kind;
	long		flags;
	int			value_multiplier;
	int			value_divider;
	}
FAKE_SENSORS;


FAKE_SENSORS g_fake_sensors[] = {
	{ "in0", 		SENSOR_KIND_VOLTAGE, 		SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LIMITS, 1, 1000},
	{ "in1", 		SENSOR_KIND_VOLTAGE, 		SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LIMITS, 1, 1000},
	{ "in2", 		SENSOR_KIND_VOLTAGE, 		SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LIMITS, 1, 1000},
	{ "in3", 		SENSOR_KIND_VOLTAGE, 		SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LIMITS, 1, 1000},
	{ "in4", 		SENSOR_KIND_VOLTAGE, 		SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LIMITS, 1, 1000},
	{ "in5", 		SENSOR_KIND_VOLTAGE, 		SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LIMITS, 1, 1000},
	{ "in6", 		SENSOR_KIND_VOLTAGE, 		SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LIMITS, 1, 1000},
	{ "in7", 		SENSOR_KIND_VOLTAGE, 		SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LIMITS, 1, 1000},
	{ "in8", 		SENSOR_KIND_VOLTAGE, 		SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LIMITS, 1, 1000},
	{ "temp1", 		SENSOR_KIND_TEMPERATURE, 	SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_HIGH_LIMIT, 1, 10},
	{ "temp2", 		SENSOR_KIND_TEMPERATURE, 	SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_HIGH_LIMIT, 1, 10},
	{ "temp3", 		SENSOR_KIND_TEMPERATURE, 	SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_HIGH_LIMIT, 1, 10},
	{ "fan1", 		SENSOR_KIND_FAN, 			SENSOR_FLAG_CONTROLABLE | SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LOW_LIMIT, 1, 1 },
	{ "fan2", 		SENSOR_KIND_FAN, 			SENSOR_FLAG_CONTROLABLE | SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LOW_LIMIT, 1, 1 },
	{ "fan3", 		SENSOR_KIND_FAN, 			SENSOR_FLAG_CONTROLABLE | SENSOR_FLAG_ALARMABLE | SENSOR_FLAG_LOW_LIMIT, 1, 1 },
	{ "chassis", 	SENSOR_KIND_STATE, 			0, 0, 0 },
	{ "vid",		SENSOR_KIND_VOLTAGE, 		0, 1, 1000 },
	{ NULL }	// NULL name == end of *list*
};



#endif	// #ifndef FAKE_H
